---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: guestbook
  labels:
    app: my-guestbook
spec:
  replicas: 1
  selector:
    matchLabels:
      app: my-guestbook
  template:
    metadata:
      labels:
       app: my-guestbook
    spec:
      containers:
      - name: guestbook
        image: docker.io/yasuhiroabe/socket-guestbook:1.0.4
        imagePullPolicy: "Always"
        ports:
        - containerPort: 8080
        env:
        - name: PORT
          value: "8080"
